Bug 248427 - Review Request: perl-Authen-PAM - Authen::PAM Perl module
Review Request: perl-Authen-PAM - Authen::PAM Perl module
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
Depends On:
Blocks: perl-Net-FTPServer
  Show dependency treegraph
Reported: 2007-07-16 14:53 EDT by Steven Pritchard
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-07-23 16:08:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
wtogami: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2007-07-16 14:53:33 EDT
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-Authen-PAM/perl-Authen-PAM.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-Authen-PAM-0.16-1.src.rpm
This module provides a Perl interface to the PAM library.
Comment 1 Parag AN(पराग) 2007-07-20 01:04:50 EDT
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
7278471dfa694d9ef312bc92d7099af2  Authen-PAM-0.16.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.  
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs nothing.
+ Provides: PAM.so perl(Authen::PAM) = 0.16
+ Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3) libpam.so.0
libpam.so.0(LIBPAM_1.0) perl(:MODULE_COMPAT_5.8.8) perl(Carp) perl(DynaLoader)
perl(Exporter) perl(POSIX) perl(strict) perl(vars) rtld(GNU_HASH)

Comment 2 Steven Pritchard 2007-07-20 12:43:04 EDT
New Package CVS Request
Package Name: perl-Authen-PAM
Short Description: Authen::PAM Perl module
Owners: steve@silug.org
Branches: FC-6 F-7 EL-4 EL-5
InitialCC: fedora-perl-devel-list@redhat.com

Note You need to log in before you can comment on or make changes to this bug.